Page MenuHomePhabricator

Support ISO 15924 language script codes
Closed, DuplicatePublic

Description

In addition to language codes, there are also script codes. 4-letter ISO 15924 codes are incorporated into the Language Subtag Registry for IETF language tags. With these codes one could differentiate, for example, between Serbian written in the Cyrillic (sr-Cyrl) or Latin (sr-Latn) script, or mark romanized text as such.

The list of script codes can be found here: http://unicode.org/iso15924/iso15924-codes.html

By supporting this list, it would be possible to use cu-Cyrl and cu-Glag as language variants in Lexemes/Forms, which at the moment is not possible.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 8:47 AM

See too the broader related ticket : T195740

Restricted Application edited subscribers, added: Petar.petkovic; removed: Liuxinyu970226. · View Herald TranscriptJun 3 2018, 6:14 PM
Vvjjkkii renamed this task from Support ISO 15924 language script codes to f0baaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from f0baaaaaaa to Support ISO 15924 language script codes.Jul 2 2018, 4:28 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.